# Users

Set up - Users

## Provide an access_token for the user

 - [POST /users/login](https://docs.uberall.com/apis/swagger/users/post_users_login.md): Provides an access_token for the email or the userId provided in the LoginCommand.
The accepted couples are:
[email, password]
[email, private_key]
[userId, private_key]

## Get All Users

 - [GET /users](https://docs.uberall.com/apis/swagger/users/get_users.md): Get all users managed by the current API key

## Create a User

 - [POST /users](https://docs.uberall.com/apis/swagger/users/post_users.md): Create a new user, subject to throttling of 10 creations per 10 seconds.

## Get a User

 - [GET /users/{id}](https://docs.uberall.com/apis/swagger/users/get_users_id.md): Get a user identified by its uberall unique id

## Delete a User

 - [DELETE /users/{id}](https://docs.uberall.com/apis/swagger/users/delete_users_id.md): Delete a user identified by its uberall unique id

## Update a User

 - [PATCH /users/{id}](https://docs.uberall.com/apis/swagger/users/patch_users_id.md): Edit an existing user

## Log out the current user

 - [POST /users/logout](https://docs.uberall.com/apis/swagger/users/post_users_logout.md): Logs out the current user and invalidates the access_token associated with this session

## Invalidate all active user sessions

 - [DELETE /users/{id}/all-sessions](https://docs.uberall.com/apis/swagger/users/delete_users_id_all_sessions.md): Invalidates all active sessions associated with the user

